Version: 0.5s
Release: alt4
Name: emacs-gnuplot
Copyright: GPL
Group: Editors
Url: http://feff.phys.washington.edu/~ravel/gnuplot
Summary: Gnuplot mode for Emacs
Summary(ru_RU.CP1251):  Gnuplot  Emacs

Source: gnuplot-mode.tar.gz
Source1: gnuplot-emacs.el
Patch: gnuplot-info.diff

BuildArch: noarch

# Automatically added by buildreq on Thu Jul 26 2002
BuildRequires: emacs-common texinfo
Requires: emacs-common gnuplot >= 3.7

%description
Mode to work with Gnuplot from Emacs

%description -l ru_RU.CP1251
    Gnuplot  Emacs

%prep
%setup -n gnuplot-mode
%patch -p1

%build
./configure --prefix=%{_prefix} --datadir=%{_datadir} --with-emacs=emacs --infodir=%{_infodir}
make

%install
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/gnuplot
install -m 644 *.el* $RPM_BUILD_ROOT%{_emacslispdir}/gnuplot

mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -m 644 *.info* $RPM_BUILD_ROOT%{_infodir}/

mkdir -p $RPM_BUILD_ROOT/etc/emacs/site-start.d
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/emacs/site-start.d/gnuplot.el

%clean

%post
%install_info gnuplot.info

%preun
%uninstall_info gnuplot.info

%files
%defattr(-, root, root)
%doc ChangeLog README INSTALL gpelcard.ps gpelcard.pdf
%{_infodir}/*
%dir %{_emacslispdir}/gnuplot/
%{_emacslispdir}/gnuplot/*
%config(noreplace) /etc/emacs/site-start.d/gnuplot.el

%changelog
* Thu Mar 13 2003 Ott Alex <ott@altlinux.ru> 0.5s-alt4
- Fixing startup file

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 0.5s-alt3
- fixing spec

* Tue Oct 08 2002 Ott Alex <ott@altlinux.ru> 0.5s-alt1
- Initial build

